<?php
 
/*
* File: SimpleImage.php
* Author: Simon Jarvis
* Copyright: 2006 Simon Jarvis
* Date: 08/11/06
* Link: http://www.white-hat-web-design.co.uk/articles/php-image-resizing.php
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details:
* http://www.gnu.org/licenses/gpl.html
*
*/
 
  // this class is used to compress the images
 
 
class SimpleImage {
 
   var $image;
   var $image_type;
 
   function load($filename) {
 
      $image_info = getimagesize($filename);  // to get the size of image
      $this->image_type = $image_info[2];   // [2] will indicate the type of image 
      if( $this->image_type == IMAGETYPE_JPEG )
	   {
 
         $this->image = imagecreatefromjpeg($filename); //$filename represents path of image
      } 
	  elseif( $this->image_type == IMAGETYPE_GIF )
	   {
 
         $this->image = imagecreatefromgif($filename); 
      } 
	  elseif( $this->image_type == IMAGETYPE_PNG )
	   {
 
         $this->image = imagecreatefrompng($filename); // create a new image of png type
      }
   }
   
   
   function save($filename, $image_type=IMAGETYPE_JPEG, $compression=75, $permissions=null)    // $compresssion is for how much image wil compress
   {
 
      if( $image_type == IMAGETYPE_JPEG ) 
	  {
         imagejpeg($this->image,$filename,$compression);   //$filename is used to specify the path of image
      }
	   elseif( $image_type == IMAGETYPE_GIF ) 
	   {
 
         imagegif($this->image,$filename);
      }
	   elseif( $image_type == IMAGETYPE_PNG ) 
	   {
 
         imagepng($this->image,$filename);
      }
	  
      if( $permissions != null) {
 
         chmod($filename,$permissions);     // permission means who can acess the file
      }
   }
   function output($image_type=IMAGETYPE_JPEG)  // displays the output 
   {
 
      if( $image_type == IMAGETYPE_JPEG ) 
	  {
         imagejpeg($this->image);
      }
	   elseif( $image_type == IMAGETYPE_GIF ) {
 
         imagegif($this->image);
      } elseif( $image_type == IMAGETYPE_PNG ) {
 
         imagepng($this->image);
      }
   }
   function getWidth() {
 
      return imagesx($this->image);
   }
   function getHeight() {
 
      return imagesy($this->image);
   }
   function resizeToHeight($height)     // to resize the height of image
    {
 
      $ratio = $height / $this->getHeight();
      $width = $this->getWidth() * $ratio;
      $this->resize($width,$height);
   }
 
   function resizeToWidth($width)           // to resize the width 
   {
      $ratio = $width / $this->getWidth();
      $height = $this->getheight() * $ratio;
      $this->resize($width,$height);
   }
 
   function scale($scale) {
      $width = $this->getWidth() * $scale/100;
      $height = $this->getheight() * $scale/100;
      $this->resize($width,$height);
   }
 
   function resize($width,$height) {
      $new_image = imagecreatetruecolor($width, $height);   // creates a new image 
      imagecopyresampled($new_image, $this->image, 0, 0, 0, 0, $width, $height, $this->getWidth(), $this->getHeight());   // $image=destination of aimage    //$this-> source 
      $this->image = $new_image;                                                                                           // 0000 indicates x y cordinates of source and destination     
   }  
   
   
function cropImage($image,$width,$height)
{
// Original image
$filename = $image;
 
// Get dimensions of the original image
list($current_width, $current_height) = getimagesize($filename);
 
// The x and y coordinates on the original image where we
// will begin cropping the image
$left = 50;
$top = 50;
 
// This will be the final size of the image (e.g. how many pixels
// left and down we will be going)
if($current_width < $width)
{
$crop_width = $width;
}else
{
	$crop_width = $current_width;
}

if($current_height < $height){
$crop_height = $height;
}else{
	$crop_height = $current_height;
}
 
// Resample the image
$canvas = imagecreatetruecolor($crop_width, $crop_height);    //$canvas destination of image	
$current_image = imagecreatefromjpeg($filename);   // current source
imagecopy($canvas, $current_image, 0, 0, $left, $top, $current_width, $current_height); //imagecpy copy the part of image
imagejpeg($canvas, $filename, 100); // istnation of image in $filename path
             
}     
 
}
?>