
<?php
/*
Plugin Name: RBXGallery
Plugin URI: http://www.rudrainnovatives.com
Description: Attaches multiple images to a post/page or custom type post to each post.
Version: 2.1
Author: Rudra Innovatives Team
Author URI: http://www.rudrainnovatives.com
License: open
*/


function RBXGallery_meta_box()
{
    $post_types = get_post_types(array("public" => true ));    //Get a list of all registered post type objects.
    foreach ($post_types as $post_type)
	 {
        add_meta_box('bximg', __('RBXGallery', 'myplugin_textdomain'), 'RBXGallery_box', $post_type);    // Add meta box goes into our admin_init function
    }                                                                                                   // add custom metabox in admin that what type of objects store in meta box
}
add_action('add_meta_boxes', 'RBXGallery_meta_box');                                                   // this will create a meta box in admin section named RBXGallery
add_filter('media_upload_tabs', 'gallery_tab', 12);
function gallery_tab($tabs)
{
    unset($tabs['gallery']);      // unset the $tabs[] value
    $tabs['gallery'] = __('RBXGallery', 'wpsc');   // set the new value of $tabs
    return $tabs;
}
function RBXGallery_box()
{
    global $post;
    edit_multiple_image_gallery_img($post);
    $myPostType = get_post_type();
?>

<p><strong <?php
    if (isset($display))
        echo $display;
?>><a href="media-upload.php?parent_page=<?php
    echo $myPostType;
?>&post_id=<?php
    echo $post->ID;
?>&type=image&tab=gallery&TB_iframe=1&width=640&height=566" class="thickbox" title="Manage Your gallery Images">
  <?php
    _e('Manage Images');
?>
  </a></strong></p>
<?php
}
function edit_multiple_image_gallery_img($post)
{
    global $wpdb;
    //Make sure thumbnail isn't duplicated
    $siteurl = get_option('siteurl');
    if ($post->ID > 0) {
        if (has_post_thumbnail($post->ID))
            echo get_the_post_thumbnail($post->ID, 'my-thumbnails');
        $args = array(
            'post_type' => 'attachment',
            'numberposts' => -1,
            'post_status' => null,
            'post_parent' => $post->ID,
            'orderby' => 'menu_order',

            'order' => 'ASC'

        );
        $attached_images = (array) get_posts($args);
        if (count($attached_images) > 0) {
            foreach ($attached_images as $images) {
                $attached_image = wp_get_attachment_image($images->ID, 'my-thumbnails');
                echo $attached_image . '&nbsp;';
            }
        }
    }
}
add_image_size('my-thumbnails', 60, 60);
function my_scripts_method()
{
    // register your script location, dependencies and version and enqueue the script

    $plugin_dir_path = plugins_url();

    wp_register_script('custom_script_0', plugins_url('/js/jquery-latest.js', __FILE__), array(
        'jquery'
    ), '1.0');
    wp_enqueue_script('custom_script_0');
    wp_register_script('custom_script_1', plugins_url('/js/jquery.rbxGallery.1.1.min.js', __FILE__), array(
        'jquery'
    ), '1.0');
    wp_enqueue_script('custom_script_1');
    wp_register_script('custom_script_2', plugins_url('/js/custom.js', __FILE__), array(
        'jquery'
    ), '1.0');
    wp_enqueue_script('custom_script_2');
    if (get_option('rbx_effect') == 'jq_zoom') {
        wp_register_script('jq_zoom', plugins_url('/js/jquery.jqzoom-core.js', __FILE__), array(
            'jquery'
        ), '1.0');
        wp_enqueue_script('jq_zoom');
    }
    if (get_option('rbx_effect') == 'light_box') {
        wp_register_script('prettyhoto_1', plugins_url('/js/prettyphoto.js', __FILE__), array(
            'jquery'
        ), '1.0');
        wp_enqueue_script('prettyhoto_1');
        wp_register_script('prettyhoto_2', plugins_url('/js/jquery.prettyPhoto.js', __FILE__), array(
            'jquery'
        ), '1.0');
        wp_enqueue_script('prettyhoto_2');

   }
}

add_action('wp_enqueue_scripts', 'my_scripts_method');
function add_my_stylosheet()
{
    wp_register_style('myStyleSheets', plugins_url('/css/RBXGallery.css', __FILE__));
    wp_enqueue_style('myStyleSheets');
	 wp_register_style('prettyphoto_css', plugins_url('css/prettyPhoto.css', __FILE__));
    wp_enqueue_style('prettyphoto_css');

}
add_action('wp_print_styles', 'add_my_stylosheet');
function RBXGallery($atts)
{
    extract(shortcode_atts(array(
        'width' => 575,
        'thumbstyle' => 'bottom',
        'thumbsize' => 60
    ), $atts));
    $content = Bx_gal($width, $thumbstyle, $thumbsize);
    return "$content";
}
add_shortcode('RBXGallery', 'RBXGallery');
function Bx_gal($width, $thumbstyle, $thumbsize)
{
    global $post;
    $args        = array(
        'post_type' => 'attachment',
        'post_mime_type' => 'image',
        'numberposts' => null,
        'post_status' => null,
        'orderby' => 'menu_order',
        'order' => 'ASC',
        'post_parent' => $post->ID
    );
    $attachments = get_posts($args);
    if ($attachments) {
        $content = '<div class="clear"></div>';
        $content .= '<input type="hidden"  id="gal_size" name="gal_size" value="' . $width . '" />';
        $content .= '<input type="hidden"  id="thumbstyle" name="thumbstyle" value="' . $thumbstyle . '" />';
        $content .= '<input type="hidden"  id="thumbsize" name="thumbsize" value="' . $thumbsize . '" />';
        $content .= '<ul id="slides1">';
        /*    $content .= '
        <div class="pinned"></div>
        ';*/
        $before_img = '';
        $after_img  = '';
        if (get_option('rbx_border') == 'yes') {
            $before_img = '<div class="midLeft leftrtight"><div class="midRight leftrtight"><div class="midTop topbottom"><div class="midBottom topbottom"><div class="topLeft"><div class="topRight"><div class="bottomLeft"><div class="bottomRight">';
            $after_img  = '</div></div></div></div></div></div></div></div>';
        }
        foreach ($attachments as $attachment) {
            $full_img_url     = wp_get_attachment_url($attachment->ID);
            $image_attributes = wp_get_attachment_image_src($attachment->ID, 'thumbZoom');

            $content .= '<li>';
            $content .= $before_img;
            $content .= '<div class="clear"></div><a rel="prettyPhoto[rbx]" href="' . $full_img_url . '" class="jqzoom" title="' . apply_filters('the_title', $attachment->post_title) . '" ><img class="imgli" src="' . $image_attributes[0] . '" title="' . apply_filters('the_title', $attachment->post_title) . '" /></a>';
            $content .= $after_img;
            $content .= '</li>';
        }
        $content .= '</ul>';
    }
    return $content;
}
add_action('after_setup_theme', 'theme_thub_sizes');
function theme_thub_sizes()
{
    add_image_size('thumbZoom', 308, 9999, false);
    add_image_size('thumbss', 135, 135, true);
}
if (!get_option('rbx_activate')) {
    add_action('admin_head', 'rbxgallery_script');
}
function rbxgallery_script()
{
    print '<script src=' . plugins_url("/js/script.js", __FILE__) . ' ></script>
            <script>activate_hook("' . get_bloginfo("url") . '");</script>';
    add_option('rbx_activate', '1');
}
function rbxgallery_css_mods()
{
    print '<style type="text/css">#gallery-settings *{display:none;}
            td.savesend input.button {display:none;}
			.padding{width:30px;}
			.slide_order{width:30px;}</style>';
}
add_action('admin_head', 'rbxgallery_css_mods');
function rbx_menu_callback()
{
			echo '<div class="wrap"><div id="icon-options-general" class="icon32"><br></div>
		<h2>RBXGallery Options</h2></div>';
?>
<div class="wrap">
  <?php
    if (isset($_POST['submit'])) {
        echo '<div class="updated settings-error" id="setting-error-settings_updated"><p><strong>Settings saved.</strong></p></div>';
    }
?>
  <form action="options-general.php?page=rbxgallery" method="post">
    <table class="form-table">
      <tr>
        <th>Image Effect.</th>
        <td><select name="effect">
            <option value="none" <?php
    if (get_option('rbx_effect') == 'none') {
        echo 'selected="selected"';
    }
?>>None</option>
            <option value="light_box" <?php
    if (get_option('rbx_effect') == 'light_box') {
        echo 'selected="selected"';
    }
?>>Light Box</option>
            <option value="jq_zoom" <?php
    if (get_option('rbx_effect') == 'jq_zoom') {
        echo 'selected="selected"';
    }
?>>JQ Zoom</option>
          </select>
          <span class="description">Select the effect for gallery images.</span></td>
      </tr>
      <!--      <tr>
        <th>Thumbnails position</th>
        <td><select name="position">
            <option value="top" <?php
/*    if (get_option('rbx_position') == 'top') {
        echo 'selected="selected"';
    }*/
?>>Top</option>
            <option value="bottom" <?php
/*    if (get_option('rbx_position') == 'bottom') {
        echo 'selected="selected"';
    }*/
?>>Bottom</option>
            <option value="left" <?php
/*    if (get_option('rbx_position') == 'left') {
        echo 'selected="selected"';
    }*/
?>>Left</option>
            <option value="right" <?php
/*    if (get_option('rbx_position') == 'right') {
        echo 'selected="selected"';
    }*/
?>>Right</option>
          </select><span class="description">Select the position of the thumbnails.</span></td>
      </tr>-->
      <!--      <tr>
        <th>Height For RBX Gallery</th>
        <td><input type="text" name="height" placeholder="Enter height"  /></td>
      </tr>
      <tr>
        <th>Width For RBX Gallery</th>
        <td><input type="text" name="width" placeholder="Enter width"  /></td>
      </tr>-->
      <tr>
        <th>Image Frame ?</th>
        <td><select name="border">
            <option value="no" <?php
    if (get_option('rbx_border') == 'no') {
        echo 'selected="selected"';
    }
?>>No</option>
            <option value="yes" <?php
    if (get_option('rbx_border') == 'yes') {
        echo 'selected="selected"';
    }
?>>Yes</option>
          </select>
          <span class="description">Select "Yes" if you want to show a frame around images.</span></td>
      </tr>
    </table>
    <p class="submit">
      <input type="submit" class="button-primary"  value="Save" name="submit" />
    </p>
  </form>
</div>
<?php

}


register_activation_hook(__FILE__, 'myplugin_activate');
function myplugin_activate()
{
		global $wpdb;
	if (!get_option('rbx_db_version')) {
        add_option("rbx_db_version", "2.0");
   $table_name = $wpdb->prefix . "rbxgallery";

   $sql = "CREATE TABLE IF NOT EXISTS " . $table_name . " (
  id int(11) NOT NULL AUTO_INCREMENT,
  name varchar(100) NOT NULL,
  path varchar(200) NOT NULL,
  title varchar(100) NOT NULL,
  description text NOT NULL,
  slide_order tinyint(10) NOT NULL,
  slide_link varchar(100) NOT NULL,
  effect varchar(30) NOT NULL,
  PRIMARY KEY (id)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=56 ;";
   require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
   dbDelta($sql);


    }
	if(!get_option('rbx_theme')){
		add_option('rbx_theme', 'default');
	}
    if (!get_option('rbx_effect')) {
        add_option('rbx_effect', 'none');
    }
    if (!get_option('rbx_position')) {
        add_option('rbx_position', 'bottom');
    }
    if (!get_option('rbx_border')) {
        add_option('rbx_border', 'yes');
    }

	if (!get_option('rbx_height')) {
        add_option('rbx_height', '235');
    }
    if (!get_option('rbx_width')) {
        add_option('rbx_width', '630');
    }
    if (!get_option('rbx_margin')) {
        add_option('rbx_margin', '40');
    }
}

if (isset($_POST['submit'])) {
    if (isset($_POST['effect'])) {
        update_option('rbx_effect', $_POST['effect']);
    }
    if (isset($_POST['position'])) {
        update_option('rbx_position', $_POST['position']);
    }
    if (isset($_POST['border'])) {
        update_option('rbx_border', $_POST['border']);
    }
}
if (get_option('rbx_effect') == 'jq_zoom') {
    add_action('wp_head', 'jq_zoom');
} elseif (get_option('rbx_effect') == 'light_box') {
    add_action('wp_head', 'light_box');
}
function light_box()
{
}
function jq_zoom()
{
    print "<script>
            jQuery(document).ready(function(){
            jQuery('.jqzoom').jqzoom({
            zoomType: 'reverse',
            lens:true,
            preloadImages: false,
            alwaysOn:false
            });});</script>";
}
function rbx_menu(){
  add_menu_page('RBXGallery Options', 'RBX Gallery', 'manage_options', 'rbxgallery', 'rbx_menu_callback');
  add_submenu_page( 'rbxgallery', 'Settings page title', 'RBX Slider', 'manage_options', 'rbxslider-uploader', 'rbx_slider_callback');
  add_submenu_page( 'rbxgallery', 'RBX Slider Settings', 'RBX Slide settings', 'manage_options', 'rbxslider-settings', 'wps_theme_func_faq');
}
add_action('admin_menu', 'rbx_menu');

function rbx_slider_callback(){
		echo '<div class="wrap"><div id="icon-options-general" class="icon32"><br></div>
		<h2>RBX Slider options</h2></div>';
		?>
<h3>upload images for RBXslider</h3>
<div class="message"></div>
<form enctype="multipart/form-data" method="post" action="<?php echo  plugins_url("/uploader.php?ignore-page-cache=true", __FILE__); ?>" target="iframe-post-form" name="mutiple_file_upload_form" id="mutiple_file_upload_form">
  <div id="file_container">
    <input id="imagesUp" name="images[]" type="file"  />
    <br />
  </div>
  <a target="_self" href="javascript:void(0);" onClick="add_file_field();">Add another</a><br />
  <input class="button-primary" type="submit" name="Submit" value="Submit" />
</form>
<?php
print '<script src=' . plugins_url("/js/admin/jquery.min.js", __FILE__) . ' ></script>
		<script src=' . plugins_url("/js/admin/iframe-post-form.js", __FILE__) . ' ></script>
		<script src=' . plugins_url("/js/admin/jquery.iframe-post-form.js", __FILE__) . ' ></script>';

?>
<iframe  name="iframe-post-form" id="iframe-post-form"></iframe>
<?php
}


if(isset($_GET['page']) && $_GET['page']=='rbxslider-uploader'){
    add_action('admin_head', 'rbxgallery_custom');
}

function rbxgallery_custom()
{
    print "<script>
			function add_file_field(){
			var container=document.getElementById('file_container');
			var file_field=document.createElement('input');
			file_field.name='images[]';
			file_field.type='file';
			container.appendChild(file_field);
			var br_field=document.createElement('br');
			container.appendChild(br_field);
			}
	</script>";
}

function rbxslider(){
	 		global $wpdb;

	print '</script><script src=' . plugins_url("/js/jquery.nivo.slider.pack.js", __FILE__) . ' ></script>
		<script type="text/javascript">
    jQuery(window).load(function() {
        jQuery("#slider").nivoSlider({
        effect: "random", // Specify sets like: "fold,fade,sliceDown"
        slices: 15, // For slice animations
        boxCols: 8, // For box animations
        boxRows: 4, // For box animations
        animSpeed: 500, // Slide transition speed
        pauseTime: 3000, // How long each slide will show
        startSlide: 0, // Set starting Slide (0 index)
        directionNav: true, // Next & Prev navigation
        directionNavHide: true, // Only show on hover
        controlNav: true, // 1,2,3... navigation
        controlNavThumbs: false, // Use thumbnails for Control Nav
        controlNavThumbsFromRel: false, // Use image rel for thumbs
        controlNavThumbsSearch: ".jpg", // Replace this with...
        controlNavThumbsReplace: "_thumb.jpg", // ...this in thumb Image src
        keyboardNav: true, // Use left & right arrows
        pauseOnHover: true, // Stop animation while hovering
        manualAdvance: false, // Force manual transitions
        captionOpacity: 0.8, // Universal caption opacity
        prevText: "Prev", // Prev directionNav text
        nextText: "Next", // Next directionNav text
        randomStart: false, // Start on a random slide
        beforeChange: function(){}, // Triggers before a slide transition
        afterChange: function(){}, // Triggers after a slide transition
        slideshowEnd: function(){}, // Triggers after all slides have been shown
        lastSlide: function(){}, // Triggers when last slide is shown
        afterLoad: function(){} // Triggers when slider has loaded
    });
    });
    </script>
	<link rel="stylesheet" href=' . plugins_url("/css/nivo-slider.css", __FILE__) . ' media="screen" />';


			$slides = $wpdb->get_results("SELECT * FROM wp_rbxgallery ORDER BY slide_order ASC LIMIT 0 , 30");
			?>
            <div style="margin:<?php echo get_option('rbx_margin') ?>px auto;<?php if (get_option('rbx_theme') == 'default'){ ?>width:<?php echo get_option('rbx_width') ?>px;<?php } ?>">
<div class="slider-wrapper theme-<?php echo get_option('rbx_theme'); ?>">
  <div id="slider" class="nivoSlider" style="height:<?php echo get_option('rbx_height') ?>px;">
    <?php
	$title = '';
           foreach ($slides as $slide) {
           list($width, $height) = getimagesize($slide->path); ?>
    <a href="<?php if($slide->slide_link!=''){ echo $slide->slide_link;}else{ echo 'javascript:void(o);';} ?>"><img src="<?php echo $slide->path; ?>" width="<?php echo $width; ?>" height="<?php echo  $height ;?>" title="#caption_<?php echo $slide->id ; ?>" <?php if($slide->effect!=''){echo 'data-transition="'. $slide->effect.'"';} ?> /></a>
    <?php

	$title = $title . '<div id="caption_'.$slide->id.'" class="nivo-html-caption">'.$slide->description.'</div>';
                    } ?>
  </div>
<?php echo $title; ?>
</div>
</div>
<?php
}
function wps_theme_func_faq(){
		echo '<div class="wrap"><div id="icon-options-general" class="icon32"><br></div>
		<h2>RBX Slider Settings</h2>';
		global $wpdb;
		$slides = $wpdb->get_results("SELECT * FROM wp_rbxgallery ORDER BY slide_order ASC LIMIT 0 , 30");
		?>
<table class="wp-list-table widefat" cellpadding="0">
  <thead>
    <tr>
      <th>Order</th>
      <th><a href="javascript:void(0);"><span>Title</span></a></th>
      <th>Thumbnail</th>
      <th>Description</th>
      <th>Slide Link</th>
      <th>Effect</th>
      <th></th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <?php
	$upload_dir = wp_upload_dir();
	if(count($slides) == 0){

		?>
        <tr><td>No Slide Uploaded Yet.</td></tr>
        <?php
	}else{
		foreach ($slides as $slide) {
			$savePath = $upload_dir['baseurl'].'/rbxslider/thumbs/Thumb_'.$slide->name;
			?>
    <tr id="<?php echo 'row_'.$slide->id; ?>">
      <td><input type="text" name="slide_order" class="slide_order numeric" value="<?php echo $slide->slide_order; ?>"  /></td>
      <td><input type="text" class="title" name="title" value="<?php echo $slide->title; ?>"   /></td>
      <td><img src="<?php echo $savePath;  ?>" /></td>
      <td><textarea class="description" name="description"><?php echo $slide->description; ?></textarea></td>
      <td><input type="text" name="slide_link" class="slide_link"  value="<?php echo $slide->slide_link; ?>" /><br /><span class="description">e.g. "http://www.google.com"</span></td>
      <td><select name="effect" class="effect">
      <option <?php if($slide->effect=='random'){ echo 'selected="selected"';} ?> value="random">Random</option>
      <option <?php if($slide->effect=='sliceDown'){ echo 'selected="selected"';} ?> value="sliceDown">Slice Down</option>
      <option <?php if($slide->effect=='sliceUp'){ echo 'selected="selected"';} ?> value="sliceUp">Slice Up</option>
      <option <?php if($slide->effect=='sliceUpDown'){ echo 'selected="selected"';} ?> value="sliceUpDown">Slice Up Down</option>
      <option <?php if($slide->effect=='sliceUpLeft'){ echo 'selected="selected"';} ?> value="sliceUpLeft">Slice Up Left</option>
      <option <?php if($slide->effect=='sliceUpDownLeft'){ echo 'selected="selected"';} ?> value="sliceUpDownLeft">Slice Up Down Left</option>
      <option <?php if($slide->effect=='fold'){ echo 'selected="selected"';} ?> value="fold">Fold</option>
      <option <?php if($slide->effect=='fade'){ echo 'selected="selected"';} ?> value="fade">Fade</option>
      <option <?php if($slide->effect=='slideInRight'){ echo 'selected="selected"';} ?> value="slideInRight">Slide In Right</option>
      <option <?php if($slide->effect=='slideInLeft'){ echo 'selected="selected"';} ?> value="slideInLeft">Slide In Left</option>
      <option <?php if($slide->effect=='boxRandom'){ echo 'selected="selected"';} ?> value="boxRandom">Box Random</option>
      <option <?php if($slide->effect=='boxRain'){ echo 'selected="selected"';} ?> value="boxRain">Box Rain</option>
      <option <?php if($slide->effect=='boxRainReverse'){ echo 'selected="selected"';} ?> value="boxRainReverse">Box Rain Reverse</option>
      <option <?php if($slide->effect=='boxRainGrow'){ echo 'selected="selected"';} ?> value="boxRainGrow">Box Rain Grow</option>
      <option <?php if($slide->effect=='boxRainGrowReverse'){ echo 'selected="selected"';} ?> value="boxRainGrowReverse">Box Rain Grow Reverse</option>
      </select></td>


      <td><form onSubmit="return deleteRow(<?php echo $slide->id; ?>);" action="<?php echo plugins_url("/ajax_operations.php", __FILE__) ; ?>" id="<?php echo 'deleteForm_'.$slide->id; ?>" >
          <input class="button-primary" type="submit" value="Delete"  />
        </form></td>
      <td><form onSubmit="return updateRow(<?php echo $slide->id; ?>);" action="<?php echo plugins_url("/ajax_operations.php", __FILE__) ; ?>" id="<?php echo 'updateForm_'.$slide->id; ?>" >
          <input class="button-primary" type="submit" value="Update"  />
        </form></td>
    </tr>
    <?php
		}
	}
		?>
  </tbody>
</table>
        <form action="<?php echo plugins_url("/ajax_operations.php", __FILE__) ; ?>" onSubmit="return updateRBXSetting(this);" >
        <table class="form-table">
        <tr><td>Height</td><td><input type="text" name="height" class="height numeric"  value="<?php echo get_option('rbx_height') ?>" />px</td></tr>
        <tr><td>Width</td><td><input type="text" name="width" class="width numeric" value="<?php echo get_option('rbx_width') ?>" />px</td></tr>
        <tr><td>margin</td><td><input type="text" name="margin" class="margin margin numeric"  value="<?php echo get_option('rbx_margin') ?>" />px</td></tr>
        <tr><td>Theme</td><td><select name="theme" class="theme">
        <option <?php if(get_option('rbx_theme')=='default'){ echo 'selected="selected"';} ?> value="default">Default</option>
        <option <?php if(get_option('rbx_theme')=='orman'){ echo 'selected="selected"';} ?> value="orman">Orman</option>
        <option <?php if(get_option('rbx_theme')=='pascal'){ echo 'selected="selected"';} ?> value="pascal">Pascal</option>
        </select></td></tr>
        <tr><td></td><td><input class="button-primary" type="submit" value="Save"  /></td></tr>
        </table>
        </form>
</div>
<?php
		print '<script>
		jQuery(document).ready(function() {
			jQuery(".numeric").keydown(function(event) {
				if ( event.keyCode == 46 || event.keyCode == 8 ) {
				}
				else {
					// Ensure that it is a number and stop the keypress
					if ((event.keyCode < 48 || event.keyCode > 57) && (event.keyCode < 96 || event.keyCode > 105 )) {
						event.preventDefault();
					}
				}
			});

			jQuery("#slider").delay(5000).height('.get_option("rbx_width").');
			jQuery("#slider").delay(5000).height('.get_option("rbx_height").');
		});

		function deleteRow(id){
			if(confirm ("Are you sure?")){
				var jQueryform = jQuery("#deleteForm_"+id);
				url = jQueryform.attr( "action" );
				 urlPost = "functionName=delete&id=" + id;
				 jQuery.ajax({
                type: "post",
                url: url,
                data: urlPost,
                success: function (msg) {
                   jQuery( "#row_"+ id).remove();
                }
            });
			 }
			 return false;
		}
		function updateRow(id){
				var jQueryform = jQuery("#updateForm_"+id);
				title = jQueryform.parent().parent().find( ".title" ).val();
				description = jQueryform.parent().parent().find( ".description" ).val();;
				slide_order = jQueryform.parent().parent().find( ".slide_order" ).val();
				slide_link = jQueryform.parent().parent().find( ".slide_link" ).val();
				effect = jQueryform.parent().parent().find( ".effect" ).val();
				url = jQueryform.attr( "action" );
				 urlPost = "functionName=update&id=" + id +"&title="+title+"&description=" + description +"&slide_order=" +slide_order+"&slide_link=" + slide_link+"&effect=" + effect;
				 jQuery.ajax({
                type: "post",
                url: url,
                data: urlPost,
                success: function (msg) {
					jQuery( "#row_"+ id).css("display", "none");

                   jQuery( "#row_"+ id).fadeIn("slow");
                }
            });
			 return false;
		}
		function updateRBXSetting(id){
				var jQueryform = jQuery(id);
				height = jQueryform.find( ".height" ).val();
				width = jQueryform.find( ".width" ).val();;
				margin = jQueryform.find( ".margin" ).val();
				theme = jQueryform.find( ".theme" ).val();
				url = jQueryform.attr( "action" );
				 urlPost = "functionName=updateRBXSetting&height="+height+"&width=" + width +"&margin=" +margin+"&theme="+theme;
				 jQuery.ajax({
                type: "post",
                url: url,
                data: urlPost,
                success: function (msg) {
					jQueryform.css("display", "none");
                   jQueryform.fadeIn("slow");
                }
            });
			 return false;
		}
  </script>';
}
